Nukkit на Linux

fromgate

Administrator
Как я понимаю, всё подчиняется той же логике как на Windows:
1. Установить Java 8 (часто стоит семёрка или шестёрка— на них работать не будет).
Для этого надо будет добавить репозиторий и установить Java:

Code:
sudo add-apt-repository ppa:webupd8team/java
sudo apt-get update
sudo apt-get install oracle-java8-installer
2. Скачать nukkit
Code:
wget http://ci.mengcraft.com:8080/job/nukkit/lastSuccessfulBuild/artifact/target/nukkit-1.0-SNAPSHOT.jar
На всякий случай, оговорюсь, что это дженкинс-сервер иногда падает, поэтому можно скачать вручную и из других источников.

3. Теперь можно запустить сервер
Code:
java -jar nukkit-1.0-SNAPSHOT.jar
 

fromgate

Administrator
"Unsupported major .minor version 52.0" говорит о том, что надо установить Java 8
 

Varfalomey

Developer (Level 3)
"Unsupported major .minor version 52.0" говорит о том, что надо установить Java 8
Уже заметил, благодарю.
Ели как нашёл команду для переустановки на 8 версию явы ;)
sudo apt-get install oracle-java8-set-default
 
Top